# BoundsA.cpp File Reference

`#include "BoundsA.h"`
`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Struct_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/TypeCode_Struct_Field.h"`
`#include "tao/CDR.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Dual_Impl_T.h"`

Include dependency graph for BoundsA.cpp:

## Namespaces

namespace | CORBA
namespace | TAO

## Functions

template<>
CORBA::Boolean | Any_Dual_Impl_T< CORBA::Bounds >::demarshal_value (TAO_InputCDR &cdr)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::Bounds &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Bounds *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::Bounds *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::Bounds *&_tao_elem)

## Variables

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *const | _tao_fields_CORBA_Bounds = 0
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_Bounds (CORBA::tk_except,"IDL:omg.org/CORBA/Bounds:1.0","Bounds", _tao_fields_CORBA_Bounds, 0)
::CORBA::TypeCode_ptr const | _tc_Bounds

## Function Documentation

template<>
CORBA::Boolean Any_Dual_Impl_T< CORBA::Bounds >::demarshal_value | ( | TAO_InputCDR & | cdr | ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Bounds * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::Bounds & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::Bounds *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::Bounds *& | _tao_elem
| ) |

## Variable Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const* const _tao_fields_CORBA_Bounds = 0`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_Bounds(CORBA::tk_except,"IDL:omg.org/CORBA/Bounds:1.0","Bounds", _tao_fields_CORBA_Bounds, 0)`[static]`

TAO_AnyTypeCode_Export::CORBA::TypeCode_ptr const CORBA::_tc_Bounds

Initial value:

        &_tao_tc_CORBA_Bounds